package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.CouponRepository;
import com.realnet.vpspack.Entity.Coupon
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class CouponService {
@Autowired
private CouponRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Coupon Savedata(Coupon data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Coupon save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Coupon> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Coupon> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Coupon> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Coupon getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Coupon update(Coupon data,Integer id) {
	Coupon old = Repository.findById(id).get();
old.setCode(data.getCode());

old.setActive (data.isActive());

old.setCoupon_validity(data.getCoupon_validity());

old.setCoupon_discount(data.getCoupon_discount());

final Coupon test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
